Foreman - Bug #12837

Security Groups not populated after selecting Subnet in New Host > Virtual Machine
12/15/2015 02:32 PM - Jordan Snodgrass

Status: Duplicate

Priority: High

Assignee:

Category: Compute resources - EC2

Target version:

Difficulty: Fixed in Releases:

Triaged: Found in Releases: 1.10.0
Bugzilla link: Red Hat JIRA:

Pull request:

Description

In New Host > Virtual Machine, the list of Security Groups is not populated after selecting a subnet. | see the following in my console
when selecting a subnet:

Uncaught TypeError: Cannot read property 'subnet-31727477' of null
This is in 1.10.0-RC3. It works fine on our 1.8.4 version of Foreman, so pretty sure it's not a config or IAM issue.

| am unable to provision new EC2 instances due to this bug.

Related issues:

Related to Foreman - Bug #11840: EC2 "Security Groups" unpredictable drop-dow... Duplicate 09/16/2015
Related to Foreman - Bug #6535: EC2 Security Groups - empty box Closed 07/09/2014
History

#1 - 12/16/2015 02:51 AM - Ivan Necas
- Project changed from Foreman Remote Execution to Foreman

- Category changed from Usability to Compute resources - EC2

#2 - 12/16/2015 03:09 AM - Dominic Cleal
- Category deleted (Compute resources - EC2)

- translation missing: en.field_release deleted (63)

#3 - 12/16/2015 03:09 AM - Dominic Cleal

- Category set to Compute resources - EC2

#4 - 12/16/2015 03:10 AM - Dominic Cleal
- Related to Bug #11840: EC2 "Security Groups" unpredictable drop-down behavior added

#5 - 01/19/2016 07:54 PM - Jordan Snodgrass
- Related to Bug #6535: EC2 Security Groups - empty box added

#6 - 01/20/2016 08:08 AM - Dominic Cleal

- Status changed from New to Duplicate

Thanks for your comment in #6535 which will go out in 1.10.2, closing this one.

05/19/2024 1/1



https://projects.theforeman.org/issues/6535
http://www.tcpdf.org

